/**
 *  Naken Chat
 *  Author: Michael Kohn
 *   Email: mike@mikekohn.net
 *     Web: http://www.mikekohn.net/
 * License: GPL
 *
 * Copyright 1998-2013 by Michael Kohn
 *
 */

#ifndef GENERAL_H
#define GENERAL_H

char *strcasestr(const char *hejstack, const char *needle);
void safestrncpy(char *dest, char *source, int n);
int socketdie(int socketid);
int logfile_on(int ID);
void leet(unsigned char *buf);
void destroy();
void broken_pipe();
void setsignals();
//char *collapse(char *d, int c, char *old);
char *unban_number(int i);
int ban_address(char *addr);
int add_to_list(char *list, char *s, int list_len);
int search_list(char *list, char *s);
int get_num(char *s, int ID, int flags);
int strip(char *s);
void timediff(time_t time1, time_t time2, char *thisString);
void shorttimediff(time_t time1, time_t time2, char *thisString);
int channel(int ID, char *oName);
int conv_num(char *s);
int is_number(char *myString);
unsigned int sql_esc(const char *s, char *r);

#endif


